Operaciones API

Endpoints para operaciones

Lista de operaciones (clients)

GET /internal/clients/operations

Retorna una lista de operaciones.

Parameters

Name Description
per_page Cantidad de recursos por pagina
page Pagina
column Columna por la cual ordenar opciones: created_at
order_column ASC o DESC
type Tipo de operacion, opciones: cash-in, cash-out.
merchant_id Filtra las operaciones por un merchant
state Filtra las operaciones por status

Request

Headers

Content-Type: application/json
Authorization: Bearer <token>
Host: example.org
Cookie: 

Route

GET /internal/clients/operations

Response

Headers

X-Frame-Options: SAMEORIGIN
X-XSS-Protection: 1; mode=block
X-Content-Type-Options: nosniff
X-Download-Options: noopen
X-Permitted-Cross-Domain-Policies: none
Referrer-Policy: strict-origin-when-cross-origin
Content-Type: application/json; charset=utf-8
ETag: W/"57d6326a775b0f46d9b6b264cc3d144a"
Cache-Control: max-age=0, private, must-revalidate
X-Request-Id: 1d403498-da58-48d6-9e93-09e93e797877
X-Runtime: 0.057320
Vary: Origin
Content-Length: 4876

Status

200 OK

Body

{
  "data": [
    {
      "id": 113,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "1617.49",
      "currency_out": "doc",
      "amount_out": "3211.46",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.701Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-in",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.701Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
        "network_in": "tron"
      },
      "kyc": false,
      "payment_data": null
    },
    {
      "id": 114,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "5310.57",
      "currency_out": "doc",
      "amount_out": "1819.35",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.719Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-in",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.719Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
        "network_in": "tron"
      },
      "kyc": false,
      "payment_data": null
    },
    {
      "id": 115,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "2661.47",
      "currency_out": "doc",
      "amount_out": "1158.71",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.736Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-in",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.736Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
        "network_in": "tron"
      },
      "kyc": false,
      "payment_data": null
    },
    {
      "id": 116,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "5410.65",
      "currency_out": "doc",
      "amount_out": "9910.72",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.755Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-out",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.755Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
      },
      "kyc": false,
      "payment_data": null
    },
    {
      "id": 117,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "9167.45",
      "currency_out": "doc",
      "amount_out": "3967.05",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.771Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-out",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.771Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
      },
      "kyc": false,
      "payment_data": null
    },
    {
      "id": 118,
      "status": "request",
      "currency_in": "usd",
      "amount_in": "7461.74",
      "currency_out": "doc",
      "amount_out": "4771.12",
      "comment": null,
      "tx_hash": null,
      "url_voucher_image": null,
      "created_at": "2023-04-19T17:15:39.786Z",
      "client": {
        "id": 33,
        "first_name": "Ileana",
        "last_name": "Reichel",
        "nationality": "Belgians",
        "gender": "Female",
        "marital_status": "divorcee",
        "politically_exposed": false,
        "birthday": "1961-07-20",
        "client_id": 7777,
        "created_at": "2023-04-19T17:15:39.103Z",
        "updated_at": "2023-04-19T17:15:39.103Z",
        "document_type": "dni",
        "document_number": "29-5035084",
        "state": "pending"
      },
      "merchant": {
        "id": 10081,
        "name": "Schimmel and Sons"
      },
      "type": "cash-out",
      "commission": {
        "percentage": 0.5
      },
      "updated_at": "2023-04-19T17:15:39.786Z",
      "payment_method": {
      },
      "reference_2": null,
      "metadata": {
      },
      "kyc": false,
      "payment_data": null
    }
  ],
  "current_page": 1,
  "per_page": 25,
  "total_pages": 1,
  "total_elements": 6
}